package main

import (
	"os"
	"log"
)

func initLogging() *os.File {
	if len(logFilePath) == 0 {
		return nil
	}

	f, err := os.OpenFile(logFilePath, os.O_RDWR | os.O_CREATE | os.O_APPEND, 0600)
	if err != nil {
		panic(err)
	}

	log.SetOutput(f)
	return f
}